﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Service
Version=8
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: False
	
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.

End Sub

Sub Service_Create

End Sub

Sub Service_Start (StartingIntent As Intent)
	Log($"BC.Service_Start(${StartingIntent.Action})"$)
	If StartingIntent.Action = "android.provider.Telephony.SMS_RECEIVED" Then
	End If
	Dim Action As String = StartingIntent.Action
	If Action = "" Then
	else if Action = "wifi_p2p_state" Then
	else if Action = "android.net.wifi.p2p.STATE_CHANGED" Then
		' Check To see If Wi-Fi Is enabled And notify appropriate activity
		Dim state As Int = StartingIntent.GetExtra("wifi_p2p_state")
		If state = 2 Then
			' Wifi P2P Is enabled
			Log("Wifi P2P Is enabled")
		Else
			' Wifi P2P is disabled
			Log("Wifi P2P Is disabled")
		End If

	else if Action = "android.net.wifi.p2p.PEERS_CHANGED" Then
		' Call WifiP2pManager.requestPeers() To get a list of current peers
		CallSub(Main,"RequestPeers")
		
	else	If Action = "android.net.wifi.p2p.DISCOVERY_STATE_CHANGE" Then
		Log(StartingIntent.ExtrasToString)
	else	If Action = "android.net.wifi.p2p.THIS_DEVICE_CHANGED" Then
		' Respond To this device's wifi state changing
	else if Action = "android.net.wifi.p2p.CONNECTION_STATE_CHANGE" Then
		' Respond To new connection Or disconnections
		If StartingIntent <> Null Then
			If StartingIntent.HasExtra("wifiP2pInfo") Then
				CallSub(Main,"RequestConnectionInfo")				
				Log("HasExtra(wifiP2pInfo)")
				Log(StartingIntent.GetExtra("wifiP2pInfo"))
				'Dim wifiinfo As WifiP2pInfo = StartingIntent.GetExtra("wifiP2pInfo")
				'Log(wifiinfo.groupOwnerAddress)
			End If
			'LogColor(i2.GetData,Colors.Yellow)
			'LogColor(i2,Colors.Yellow)
		End If
		CallSub2(Main,"connectionchanged",StartingIntent)
	End If

	Service.StopAutomaticForeground 'Call this when the background task completes (if there is one)
End Sub

Sub Service_Destroy

End Sub
